Bug Hunting Session
Bug 113720 - StarOffice fonts still in use in wizard templates
Summary: StarOffice fonts still in use in wizard templates
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Laurent BP
URL:
Whiteboard: target:6.3.0 target:6.2.0.2
Keywords: patch
Depends on:
Blocks: Wizard
  Show dependency treegraph
 
Reported: 2017-11-08 15:46 UTC by Timur Davletshin
Modified: 2019-01-08 13:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Little script to fix fonts (608 bytes, patch)
2017-11-08 17:31 UTC, Timur Davletshin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur Davletshin 2017-11-08 15:46:14 UTC
Description:
LibreOffice doesn't ship Albany/Cumberland/Thorndale/StarSymbol fonts (default in StarOffice) but they are still in active use by templates shipped with LO.

All affected templates are in template/common/wizard directory.

Steps to Reproduce:
Open any template in template/common/wizard directory

Actual Results:  
Document styles use Albany/Cumberland/Thorndale/StarSymbol fonts.

Expected Results:
Fonts shipped with LO like Liberation and OpenSymbol


Reproducible: Always


User Profile Reset: Yes



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Timur Davletshin 2017-11-08 17:31:09 UTC
Created attachment 137618 [details]
Little script to fix fonts

I made little research and successfully fixed vulnerable files with script attached. I'm not very familiar with internal structure of ODF but it worked for me.
Comment 2 Timur Davletshin 2017-11-15 17:28:23 UTC
Another two affected templates include:

1. share/xslt/DocBookTemplate.stw (also in very old OO.o 1.x-2.x file format).
2. share/template/common/internal/html.stw
Comment 3 Xisco Faulí 2018-11-12 12:32:05 UTC
Hi Timur,
Thanks for reporting this issue and providing a script to fix it automatically.
Let's add the UX Team to see what they think about it.
Regards
Comment 4 Heiko Tietze 2018-11-12 13:13:55 UTC
Albany -> Liberation Sans
Cumberland -> Liberation Mono
Thorndale -> Liberation Serif
StarSymbol -> OpenSymbol

Arial -> Liberation Sans
Courier New -> Liberation Mono
Times New Roman -> Liberation Serif

Sounds good to me. UI Tests will likely fail.
Comment 5 Xisco Faulí 2018-11-12 16:42:44 UTC
@Timur I. Davletshin, would you like to provide a commit fixing this issue?
See https://wiki.documentfoundation.org/Development/gerrit/SubmitPatch for more info...
Comment 6 Timur Davletshin 2018-11-12 16:45:04 UTC
(In reply to Xisco Faulí from comment #5)
> @Timur I. Davletshin, would you like to provide a commit fixing this issue?
> See https://wiki.documentfoundation.org/Development/gerrit/SubmitPatch for
> more info...

Oh, no. I'm just a mere LO user )))
Comment 7 Xisco Faulí 2018-11-12 19:30:54 UTC
Laurent, would your patch fix this issue and bug 114749 at the same time ?
Comment 8 Laurent BP 2018-11-12 21:44:40 UTC
(In reply to Xisco Faulí from comment #7)
> Laurent, would your patch fix this issue and bug 114749 at the same time ?

Actually, I only applied the patch, but it should.
Pending review:
https://gerrit.libreoffice.org/63303/
https://gerrit.libreoffice.org/63141/
Comment 9 Heiko Tietze 2018-11-13 08:56:58 UTC
No further input from UX needed.
Comment 10 Timur Davletshin 2018-11-13 11:27:48 UTC
(In reply to Laurent BP from comment #8)
> (In reply to Xisco Faulí from comment #7)
> > Laurent, would your patch fix this issue and bug 114749 at the same time ?
> 
> Actually, I only applied the patch, but it should.
> Pending review:
> https://gerrit.libreoffice.org/63303/
> https://gerrit.libreoffice.org/63141/

I'm not sure if this should be treated along with mentioned bug but there is also html.stw file which uses old StarOffice fonts too. Probably it should be fixed manually.
Comment 11 Timur Davletshin 2018-11-13 11:37:37 UTC
(In reply to Laurent BP from comment #8)
> (In reply to Xisco Faulí from comment #7)
> > Laurent, would your patch fix this issue and bug 114749 at the same time ?
> 
> Actually, I only applied the patch, but it should.
> Pending review:
> https://gerrit.libreoffice.org/63303/
> https://gerrit.libreoffice.org/63141/

There is another related problem — pri-marine_f.ott uses Sheffield font which AFAIK doesn't have any free alternative. So, probably it's better to substitute it with something of similar style.
Comment 12 Laurent BP 2018-11-13 12:27:08 UTC
(In reply to Timur I. Davletshin from comment #10)
> I'm not sure if this should be treated along with mentioned bug but there is
> also html.stw file which uses old StarOffice fonts too. Probably it should
> be fixed manually.

html.stw is actually a zip file with xml content. I treated it with other *.ott and *.ots
Comment 13 jonathon 2018-11-14 19:29:49 UTC
(In reply to Laurent BP from comment #8)
> (In reply to Xisco Faulí from comment #7)
> > Laurent, would your patch fix this issue and bug 114749 at the same time ?
> 
> Actually, I only applied the patch, but it should.
> Pending review:
> https://gerrit.libreoffice.org/63303/
> https://gerrit.libreoffice.org/63141/

Does this mean that all templates shipped with LibO will use, and display the same fonts?
If not, can that patch/whatever be applied to all templates that ship with LibO.
Comment 14 Laurent BP 2018-11-14 22:31:22 UTC
(In reply to jonathon from comment #13)
> Does this mean that all templates shipped with LibO will use, and display
> the same fonts?
> If not, can that patch/whatever be applied to all templates that ship with
> LibO.
Which template still use other fonts?
See bug 114749
Comment 15 Commit Notification 2018-12-10 15:29:51 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3d9c00cee88f5821ac6fd36780ccfe8fef74c1ad%5E%21

tdf#113720 Apply script to modify fonts

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Timur 2018-12-25 10:22:06 UTC
Laurent, can you please close all those bugs as Fixed, if fixed?
Comment 17 Commit Notification 2019-01-08 13:43:32 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/d3b6d4cd9f84d9461f2effdf2d0c48d90fa4a2c4%5E%21

tdf#113720 Apply script to modify fonts

It will be available in 6.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.